Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454112

Summary: On update of rpcbind to rpcbind-0.1.4-16.fc9.x86_64, nfs mounts failed
Product: [Fedora] Fedora Reporter: Brian Morrison <bdm>
Component: rpcbindAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: gasi
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-15 08:20:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Brian Morrison 2008-07-04 18:45:48 UTC
Description of problem:

Today's batch of F9 updates included rpcbind-0.1.4-16.fc9.x86_64

Version-Release number of selected component (if applicable):

rpcbind-0.1.4-16.fc9.x86_64

How reproducible:

Failed once, but restarting various services (nfs, rpcbind) did not get nfs
mounts working again, a reboot was required.

Steps to Reproduce:

1. Upgrade system with rpcbind-0.1.4-16.fc9.x86_64
2. NFS client machine tries to mount NFS shared directory
3. Fails with "mount: RPC: Program not registered" error in syslog

  
Actual results:

"mount: RPC: Program not registered" error message in syslog

Expected results:

Successful NFS mount

Additional info: I would expect a post install script to be run to restart the
necessary services for portmap and nfs so nfs mounts worked, this did not happen.

Comment 1 Steve Dickson 2008-07-07 10:30:15 UTC
I do request a system reboot when I update rpcbind plus there
is a 'service rpcbind condrestart > /dev/null 2>&1' command
in the %postun section, so a condrestart should be happening
when an updated is done.

Comment 2 Brian Morrison 2008-07-07 12:56:43 UTC
OK, there must have been some other problem then as the condrestart did not
allow other machines to mount nfs shared directories.

rpcinfo -p only showed a very small number of mapped ports, probably 6 or so.
After a reboot this number had increased to between 15 and 25.

It may well not be a bug in rpcinfo, restarting the nfs service didn't help either.

Suggestions on what else I could look at are welcome in case this occurs again.

Comment 3 Herbert Gasiorowski 2008-08-07 12:36:35 UTC
I had this error message too (while ypbind was starting).
But only once: one of about 20 reboots.

Comment 4 Steve Dickson 2008-10-28 15:58:34 UTC
This should be fixed with rpcbind-0.1.4-17.fc9

Comment 5 Bug Zapper 2009-06-10 01:55:13 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-15 08:20:00 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.